Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class ShallowTransducerTrainer

    java.lang.Object
      cc.mallet.fst.TransducerTrainer
          cc.mallet.fst.ShallowTransducerTrainer

Deprecated. Use `NoopTransducerTrainer` instead

    public class ShallowTransducerTrainer

extends TransducerTrainer

Wraps around an already trained `Transducer` model.

Use this class to pass to the `*Evaluator.evaluateInstanceList` when we don't have access to the *Trainer that was used to train the Transducer model.

Author:
  Gaurav Chandalia

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.fst.TransducerTrainer
`TransducerTrainer.ByIncrements, TransducerTrainer.ByInstanceIncrements, TransducerTrainer.ByOptimization`

Field Summary
`protected Transducer` | `transducer` Deprecated.

Constructor Summary
`ShallowTransducerTrainer(Transducer transducer)` Deprecated.

Method Summary
`int` | `getIteration()` Deprecated.
`Transducer` | `getTransducer()` Deprecated.
`boolean` | `isFinishedTraining()` Deprecated.
`boolean` | `train(InstanceList trainingSet, int numIterations)` Deprecated. Train the transducer associated with this TransducerTrainer.

Methods inherited from class cc.mallet.fst.TransducerTrainer
`addEvaluator, addEvaluators, removeEvaluator, runEvaluators, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transducer

    protected Transducer transducer

  Deprecated.

Constructor Detail

### ShallowTransducerTrainer

    public ShallowTransducerTrainer(Transducer transducer)

  Deprecated.

Method Detail

### getIteration

    public int getIteration()

  Deprecated.
  Specified by:
    `getIteration` in class `TransducerTrainer`

### getTransducer

    public Transducer getTransducer()

  Deprecated.
  Specified by:
    `getTransducer` in class `TransducerTrainer`

### isFinishedTraining

    public boolean isFinishedTraining()

  Deprecated.
  Specified by:
    `isFinishedTraining` in class `TransducerTrainer`

### train

    public boolean train(InstanceList trainingSet,
                         int numIterations)

  Deprecated.
  Description copied from class: `TransducerTrainer`
  Train the transducer associated with this TransducerTrainer. You should be able to call this method with different trainingSet objects. Whether this causes the TransducerTrainer to combine both trainingSets or to view the second as a new alternative is at the discretion of the particular TransducerTrainer subclass involved.

  Specified by:
    `train` in class `TransducerTrainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD